Download it now!
Bug 108203 - EDITING Within Form Edit mode, Copy and paste an action button makes LibreOffice frozen, with high CPU usage
Summary: EDITING Within Form Edit mode, Copy and paste an action button makes LibreOff...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.2.7.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Database-Forms
  Show dependency treegraph
 
Reported: 2017-05-28 17:56 UTC by Bernard MORERA
Modified: 2018-01-29 10:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard MORERA 2017-05-28 17:56:59 UTC
EDITING 
Within Form Edit mode, Copy and paste an action button makes LibreOffice freeze, with high CPU usage (about every time)
Within Form usage mode, copying a long text (more than 300 characters)  from a Web site page into a Form text control makes LibreOffice freeze sometimes (about once every 3 paste), with high CPU usage
Comment 1 Buovjaga 2017-06-04 17:01:37 UTC
(In reply to Bernard MORERA from comment #0)
> EDITING 
> Within Form Edit mode, Copy and paste an action button makes LibreOffice
> freeze, with high CPU usage (about every time)

Tried with spin button. No problem for me. Please try with a newer version OR attach an example file so we can test more scientifically.

Version: 5.5.0.0.alpha0+
Build ID: b08217989558addbcaded122a4e7211ae24bbcff
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-05-31_06:31:36
Locale: fi-FI (fi_FI); Calc: group

> Within Form usage mode, copying a long text (more than 300 characters)  from
> a Web site page into a Form text control makes LibreOffice freeze sometimes
> (about once every 3 paste), with high CPU usage

This is another issue, so please open another report (if you can still reproduce these after trying out with 5.3 or 5.4 or master version.
Fresh master: http://dev-builds.libreoffice.org/daily/master/Win-x86_64@42/current/

Set to NEEDINFO.
Change back to UNCONFIRMED, if the problem persists. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 2 QA Administrators 2018-01-02 10:14:35 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2018-01-29 10:35:34 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180129